{% extends 'layout.html.twig' %}


{% block title %}TWIM Profile - Show profile{% endblock %}

{% block body_id 'desktop_show_profile' %}

{% block body %}

    {#{{ dump(user) }}#}

    {% if user.figureSource is defined and user.figureSource != "nothing" %}
        {% if user.figureSource == "king" %}
            {% include 'Desktop/UserBundle/FigureCards/_king.html.twig' with {'figureSource':user.figureSource} only %}
        {% endif %}
    {% endif %}

    <div class="card shadow p-3 mb-5 bg-white rounded text-center">
        <div class="card-body">

            {# SETTINGS #}
            {#{% if user.isPublic is defined and user.isPublic == false and user.enabled is defined and user.enabled %}#}
            {% if user.isPublic is defined and user.isPublic == false %}
                <div class="row">
                    <div class="col">
                        <div class="float-right mr-3 text-muted">
                            <a href="{{ url('edit_profile_settings', {'username':user.username}) }}"><i class="fas fa-cog fa-lg"></i></a>
                        </div>
                    </div>
                </div>
            {% endif %}

            {# PROFILE IMAGE #}
            <div class="row">
                <div class="col">
                    {% include 'Default/_round_image_profile.html.twig' with {'w':150, 'h':150, 'user': user, 'alt':'User image', 'extraClass':'mx-auto d-block'} %}
                </div>
            </div>

            {# PROFILE INFOS #}
            <div class="row mt-3">
                <div class="col">
                    <p>
                        <b>&#64;{{ user.username is defined ? user.username }}</b>
                        {% if user.isVerified is defined and user.isVerified %}
                            <i class="fas fa-check-circle"></i>
                        {% endif %}
                    </p>
                </div>
            </div>

            {# EXTERNAL LINKS #}
            {% if user.externalLinks is defined and user.externalLinks is not empty %}
                <div class="row mt-3 mb-3">
                    <div class="col">

                        {% if user.externalLinks.blog is defined %}
                            <i class="fab fa-blogger fa-2x mr-3"></i>
                        {% endif %}
                        {% if user.externalLinks.facebook is defined %}
                            <i class="fab fa-facebook fa-2x"></i>
                        {% endif %}
                        {% if user.externalLinks.twitter is defined %}
                            <i class="fab fa-twitter-square fa-2x ml-3"></i>
                        {% endif %}
                        {% if user.externalLinks.instagram is defined %}
                            <i class="fab fa-instagram fa-2x ml-3"></i>
                        {% endif %}
                        {% if user.externalLinks.youtube is defined %}
                            <i class="fab fa-youtube-square fa-2x ml-3"></i>
                        {% endif %}

                    </div>
                </div>
            {% endif %}
        </div>
    </div>

    {# WORDS CARD #}
    <div class="card shadow p-3 mb-5 bg-white rounded">
        <div class="card-body">
            <div class="table-responsive mt-3">
                <table class="table table-sm">

                    {#<tr>#}
                        {#<td class="text-left text-muted">1</td>#}
                        {#<td class="text-left text-muted"><i class="fas fa-crown"></i></td>#}
                        {#<td class="text-center" colspan="3"><b>CALIPPO</b></td>#}
                        {#<td class="text-right text-muted" style="width: 12%;">666</td>#}
                        {#<td class="text-right text-muted" style="width: 2%;">$</td>#}
                        {#<td class="text-right text-muted" style="width: 2%;"><i class="fas fa-ellipsis-h"></i></td>#}
                    {#</tr>#}
                    {#<tr>#}
                        {#<td class="text-left text-muted">5</td>#}
                        {#<td class="text-left text-muted"></td>#}
                        {#<td class="text-center" colspan="3"><b>AMAURIZIOPIACEILCAZZO</b></td>#}
                        {#<td class="text-right text-muted" style="width: 12%;">610</td>#}
                        {#<td class="text-right text-muted" style="width: 2%;">$</td>#}
                        {#<td class="text-right text-muted" style="width: 2%;"><i class="fas fa-ellipsis-h"></i></td>#}
                    {#</tr>#}

                    {% set i=0 %}
                    {% if user.wordsList is defined and user.wordsList.words is defined %}
                        {% for word in user.wordsList.words %}
                            <tr>
                                <td class="text-left text-muted" style="width: 15%;">{{ word.rank }}
                                    {% if i==0 and user.figureSource is defined and user.figureSource == "king" %}
                                        <i class="fas fa-crown"></i>
                                    {% endif %}
                                </td>
                                <td class="text-center" style="width: 70%">
                                    <b>{{ word.name|e|upper }}</b>
                                </td>
                                <td class="text-right text-muted" style="width: 15%">
                                    {{ word.value }}
                                    $
                                    {% if user.isPublic is defined and user.isPublic == false %}
                                        <i class="fas fa-ellipsis-h cls-pointer-effect" id="dropdownProfileWordSettings" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"></i>

                                        <div class="dropdown-menu" aria-labelledby="dropdownProfileWordSettings">
                                            <a class="dropdown-item" href="{{ url('private_word_show', {'word_name':word.name}) }}">{{ 'label.show.word'|trans({}, 'frontends') }}</a>
                                            <a class="dropdown-item" href="#">Another action</a>
                                            <a class="dropdown-item" href="#">Something else here</a>
                                        </div>
                                    {% endif %}
                                </td>
                            </tr>

                            {% set i = i+1 %}
                        {% else %}
                            <tr>
                                <td colspan="3">
                                    <p class="text-center">{{ 'no.words.found'|trans() }}</p>
                                </td>
                            </tr>
                        {% endfor %}
                    {% endif %}
                </table>
            </div>

            {% if user.wordsList is defined and user.wordsList.paginator is defined and user.wordsList.paginator is not empty %}
                <div class="row mt-3">
                    <div class="col">
                        <div class="mx-auto">
                            {% include 'Default/_pagination.html.twig' with {'p':user.wordsList.paginator} only %}
                        </div>
                    </div>
                </div>
            {% endif %}
        </div>
    </div>

{% endblock %}